Name:           perl-perlfaq
Version:        5.20201107
Release:        4%{?dist}
Summary:        Frequently asked questions about Perl
# Code examples are Public Domain
License:        (GPL+ or Artistic) and Public Domain
URL:            https://metacpan.org/release/perlfaq
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/perlfaq-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Conflicts:      perl < 4:5.22.0-347

%description
The perlfaq comprises several documents that answer the most commonly asked
questions about Perl and Perl programming.

%prep
%setup -q -n perlfaq-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Aug 09 2021 Mohan Boddu <mboddu@redhat.com> - 5.20201107-4
- Rebuilt for IMA sigs, glibc 2.34, aarch64 flags
  Related: rhbz#1991688

* Fri Apr 16 2021 Mohan Boddu <mboddu@redhat.com> - 5.20201107-3
- Rebuilt for RHEL 9 BETA on Apr 15th 2021. Related: rhbz#1947937

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.20201107-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 09 2020 Jitka Plesnikova <jplesnik@redhat.com> - 5.20201107-1
- 5.20201107 bump

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.20200523-457
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 22 2020 Jitka Plesnikova <jplesnik@redhat.com> - 5.20200523-456
- Increase release to favour standalone package

* Fri May 22 2020 Petr Pisar <ppisar@redhat.com> - 5.20200523-1
- 5.20200523 bump

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.20200125-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Petr Pisar <ppisar@redhat.com> - 5.20200125-1
- 5.20200125 bump

* Mon Nov 04 2019 Petr Pisar <ppisar@redhat.com> - 5.20191102-1
- 5.20191102 bump

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.20190126-439
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 5.20190126-438
- Increase release to favour standalone package

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.20190126-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Petr Pisar <ppisar@redhat.com> - 5.20190126-1
- 5.20190126 bump

* Mon Sep 17 2018 Petr Pisar <ppisar@redhat.com> - 5.20180915-1
- 5.20180915 bump

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.20180605-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 27 2018 Jitka Plesnikova <jplesnik@redhat.com> - 5.20180605-2
- Perl 5.28 rebuild

* Tue Jun 05 2018 Petr Pisar <ppisar@redhat.com> - 5.20180605-1
- 5.20180605 bump

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.021011-395
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.021011-394
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 03 2017 Jitka Plesnikova <jplesnik@redhat.com> - 5.021011-393
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.021011-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 5.021011-2
- Perl 5.24 rebuild

* Mon Mar 07 2016 Petr Pisar <ppisar@redhat.com> - 5.021011-1
- 5.021011 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 5.021010-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 Petr Pisar <ppisar@redhat.com> - 5.021010-1
- 5.021010 bump

* Thu Jul 02 2015 Petr Pisar <ppisar@redhat.com> 5.021009-348
- Specfile autogenerated by cpanspec 1.78.
